### Function

# FwupdPlugin path_verify_safe

since: 2.1.2

#### Declaration [src]

    gboolean
    fu_path_verify_safe (
      const gchar* filename,
      GError** error
    )

#### Description [src]

Verifies the path is safe to use from an archive.

This will reject: - an empty string - absolute paths, e.g. `/etc/fstab` - paths with relative locations, e.g. `../../etc/fstab`) - paths with MS-DOS path separators, e.g. `foo\bar` - non-ASCII filenames.

Available since: 2.1.2

#### Parameters

`filename`

  Type: `const gchar*`

  An optional local path and basename.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the function if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

`TRUE` on success.